#include "IsoHexTile.h"
IsoHexTile::IsoHexTile()
{
	RESET();
}
IsoHexTile::~IsoHexTile()
{
}
const IsoHexTile& IsoHexTile::operator= (const IsoHexTile &other)
{
	if(this != &other)
	{
		Ground		= other.Ground;
		CoastX		= other.CoastX;
		CoastY		= other.CoastY;
		Forest		= other.Forest;
		RiverRoad	= other.RiverRoad;
		City		= other.City;
		Wall		= other.Wall;
		visited		= other.visited;
		AvatarIndex	= other.AvatarIndex;
	}
	return *this;
}
const IsoHexTile* IsoHexTile::operator= (const IsoHexTile *other)
{
	if(this != other)
	{
		Ground		= other->Ground;
		CoastX		= other->CoastX;
		CoastY		= other->CoastY;
		Forest		= other->Forest;
		RiverRoad	= other->RiverRoad;
		City		= other->City;
		Wall		= other->Wall;
		visited		= other->visited;
		AvatarIndex	= other->AvatarIndex;
	}
	return this;
}
void IsoHexTile::RESET()
{
	Ground		= -1;
	CoastX		= -1;
	CoastY		= -1;
	Forest		= -1;
	RiverRoad	= -1;
	City		= -1;
	Wall		= -1;
	visited		= false;
	AvatarIndex	= -1;
}
void IsoHexTile::SetBG(int Data)
{
	Ground = Data;
}
int IsoHexTile::GetBG() const
{
	return Ground;
}
void IsoHexTile::SetCoastX(int Data)
{
	CoastX = Data;
}
int IsoHexTile::GetCoastX() const
{
	return CoastX;
}
void IsoHexTile::SetCoastY(int Data)
{
	CoastY = Data;
}
int IsoHexTile::GetCoastY() const
{
	return CoastY;
}
void IsoHexTile::SetForest(int Data)
{
	Forest = Data;
}
int IsoHexTile::GetForest() const
{
	return Forest;
}
void IsoHexTile::SetRoadRiver(int Data)
{
	RiverRoad = Data;
}
int IsoHexTile::GetRoadRiver() const
{
	return RiverRoad;
}
void IsoHexTile::SetCity(int Data)
{
	City = Data;
}
int IsoHexTile::GetCity() const
{
	return City;
}
void IsoHexTile::SetVisited(bool Data)
{
	visited = Data;
}
bool IsoHexTile::GetVisited() const
{
	return visited;
}
void IsoHexTile::SetWall(int Data)
{
	Wall = Data;
}
int IsoHexTile::GetWall() const
{
	return Wall;
}